.title-wrapper {
  /* padding: 24px 16px 12px 16px; */
  padding: 24px 0 12px 0; /* Adjusted for old my-account layout compatibility */
}

.title-border.my-account {
  margin: 0;
  line-height: 27.2px;
  letter-spacing: 0.04em;
  font-weight: 700;
  font-size: 16px;
}

@media screen and (min-width: 769px) {
  .for-mobile {
    display: none !important;
  }
}

@media screen and (max-width: 768px) {
  .for-pc {
    display: none !important;
  }
}

.nav-wrapper {
  padding: 0px 16px 0px 16px;
}

@media screen and (min-width: 768px) {
  .custom-scrollbar::-webkit-scrollbar {
    border-radius: 3px;
    height: 3px;
  }

  .custom-scrollbar::-webkit-scrollbar-track {
    background: #ebf0f0;
    border-radius: 3px;
    height: 3px;
  }

  .custom-scrollbar::-webkit-scrollbar-thumb {
    border-radius: 10px;
    height: 3px;
    background: #b2c2c1;
  }

  .custom-scrollbar::-webkit-scrollbar-thumb:hover {
    background: #555;
  }

  .my-account-tabs {
    display: flex;
    align-items: flex-end;
    border-bottom: 1px solid #B2C2C1;
  }

  .my-account-tabs>li {
    margin-bottom: 0;
  }


  .my-account-tabs>li.active {
    margin-bottom: -1px;
  }

  .my-account-tabs>li:not(:last-child)>a {
    margin-right: 8px;
  }

  .my-account-tabs>li>a {
    display: block;
    font-size: 14px;
    font-weight: 700;
    line-height: 23.8px;
    letter-spacing: 0.04em;
    text-align: center;
    border-width: 1px 1px 0px 1px;
    border-style: solid;
    border-color: #B2C2C1;
    padding: 12px 16px 12px 16px;
    border-radius: 4px 4px 0px 0px;
    background: #F2F2F2;
  }

  .my-account-tabs>li.active>a {
    border-width: 1px 1px 0px 1px;
    background: white;
    padding: 16px;
  }

  .my-account-tabs>li.active>a:hover {
    color: inherit;
    cursor: default;
  }
}

@media screen and (max-width: 768px) {
  .nav-wrapper {
    padding: 10px 16px 10px 16px;
  }

  .my-account-tabs {
    border-bottom: none;
    width: 100%;
    padding: 0;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 16px;
  }

  @media screen and (max-width: 340px) {
    .my-account-tabs {
      grid-template-columns: 1fr;
    }
  }

  .my-account-tabs>li>a {
    display: flex;
    font-size: 14px;
    height: 56px;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    border: 1px solid #B2C2C1;
    line-height: 21px;
    font-weight: 400;
    letter-spacing: 0.04em;
  }

  .my-account-tabs>li.active>a {
    background: #F2F2F2;
    font-weight: 700;
  }
}

.edit-info {
  padding: 16px;
  width: 500px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  gap: 32px;
}

@media screen and (max-width: 768px) {
  .edit-info {
    width: 100%;
  }
}

.edit-info label {
  font-size: 14px;
  font-weight: 500 !important;
  line-height: 21px;
  letter-spacing: 0.04em;
  margin-bottom: 0px;
}

form label .badge {
  padding: 4px;
  gap: 10px;
  border-radius: 3px;
  font-size: 12px;
  font-weight: 500;
  line-height: 20.4px;
  letter-spacing: 0.02em;
  color: #FFFFFF;
}

form label .badge.required {
  background: #ED293E;
}

form label .badge.optional {
  background: #B2C2C1;
}

.edit-info .woocommerce-input-wrapper .input-text {
  padding: 12px 16px 12px 16px !important;
  font-size: 16px;
  font-weight: 400;
  line-height: 27.2px;
  letter-spacing: 0.04em;
}

#account_billing_phone,
#billing_postcode {
  font-family: Roboto;
}

.edit-info .select2-selection__rendered {
  padding-left: 12px !important;
  font-size: 16px;
  font-weight: 400;
  line-height: 27.2px;
  letter-spacing: 0.04em;
}

form .edit-info label~.input-description {
  font-size: 12px;
  font-weight: 400;
  line-height: 20.4px;
  letter-spacing: 0.02em;
  display: block;
  color: #7A8B8A;
  text-wrap: wrap;
}

.action-wrapper {
  width: 100%;
  padding: 8px 0px 0px 0px;
}

@media screen and (max-width: 768px) {
  .action-wrapper {
    padding: 16px;
  }
}

.action-wrapper .save-btn {
  margin: 0 auto;
  width: 150px;
  height: 56px;
  font-size: 16px;
  font-weight: 700;
  line-height: 24px;
  letter-spacing: 0.04em;
  padding: 0;
  border-radius: 8px;
  display: flex;
  justify-content: center;
  align-items: center;
}


@media screen and (max-width: 768px) {
  .action-wrapper .save-btn {
    width: 100%;
  }
}

.form-row {
  display: flex;
  justify-content: space-between;
  gap: 16px;
  width: 100%;
}

@media screen and (max-width: 768px) {
  .form-row {
    flex-direction: column;
    gap: 32px;
  }
}

.form-column {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.account_billing_phone-width {
  max-width: 243px;
}

.billing_postcode-width {
  max-width: 164px;
}

#search-zip-code a {
  font-size: 12px;
  font-weight: 700;
  line-height: 20.4px;
  letter-spacing: 0.02em;
  text-align: left;
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
  color: rgb(33, 212, 200);
}

#search-zip-code svg {
  margin-bottom: -3px;
}

#billing_postcode {
  width: 164px !important;
}

.billing-state-field .select2.select2-container .select2-selection {
  border-radius: 8px;
  border: 1px solid #B2C2C1;
}

.my-account-header {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 2;
  background: white;
  width: 100vw;
  height: 52px;
  border-bottom: 1px solid #B2C2C1;
}

@media screen and (max-width: 768px) {
  .navbar-custom {
    z-index: 1;
  }

  .my-account-header {
    display: block;
  }
}

.back-btn {
  position: absolute;
  top: 50%;
  left: 24px;
  transform: translateY(-50%);
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2px;
  background: transparent;
  border: 0;
  font-size: 10px;
  line-height: 10px;
  font-weight: 500;
  letter-spacing: 0.02em;
}

.my-account-header__text {
  font-size: 18px;
  font-weight: 400;
  line-height: 27px;
  text-align: center;
  padding: 0 20px;
  letter-spacing: 0.04em;
}

.spfwc-edit-cardmember-form {
  width: 375px;
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: column;
  margin: 16px auto;
  padding: 0;
}

@media screen and (max-width: 768px) {
  .spfwc-edit-cardmember-form {
    width: 100%;
    margin: 0;
  }
}

.payment-method-image-wrapper {
  width: 100%;
  display: block;
  margin-top: 36px;
  margin-bottom: 32px;
  padding-right: 16px;
  padding-left: 16px;
}

#sonypayment-card-form {
  width: 100%;
  padding-right: 16px;
  padding-left: 16px;
}

#sonypayment-card-form .form-row {
  display: block;
  width: 100%;
  margin-bottom: 32px;
}

#sonypayment-card-form .form-row:last-of-type {
  margin-bottom: 36px;
}

#sonypayment-card-form .form-row label {
  font-size: 14px;
  font-weight: 500;
  line-height: 21px;
  letter-spacing: 0.04em;
  margin-bottom: 8px;
}

#sonypayment-card-form .form-row input {
  padding: 12px 16px 12px 16px !important;
  font-family: Roboto;
  font-size: 16px;
  font-weight: 400;
  line-height: 27.2px;
  letter-spacing: 0.04em;
  text-align: left;
}

.month-text-sonypayment-card-expmm {
  margin-right: 24px;
}

#sonypayment-card-expyy {
  margin-left: 24px;
}

@media screen and (max-width: 350px) {
  .month-text-sonypayment-card-expmm {
    margin-right: 5px;
  }

  #sonypayment-card-expyy {
    margin-left: 5px;
  }
}

#sonypayment-card-expmm,
#sonypayment-card-expyy {
  width: 90px !important;
}

#sonypayment-card-seccd {
  width: 164px !important;
}

#sonypayment-consent-message {
  width: 100%;
  padding-left: 16px;
  padding-right: 16px;
  margin-bottom: 30px;
}

#sonypayment-consent-message textarea.sonypayment_agreement_message {
  width: 100%;
}

#sonypayment-consent-message .sonypayment-consent-area label {
  display: flex !important;
  align-items: center;
}

#sonypayment-consent-message .sonypayment-consent-area label input#sonypayment_agree {
  margin-top: 0;
}

.spfwc-edit-cardmember-form p:has(#save-cardmember) {
  display: flex;
  justify-content: center;
  gap: 15px;
  margin: 0 auto;
  padding-top: 8px;
}

.spfwc-edit-cardmember-form p:has(#save-cardmember) .woocommerce-Button.button {
  min-width: 150px;
  height: 56px;
  border-radius: 8px;
  font-size: 16px;
  font-weight: 700;
  line-height: 24px;
  letter-spacing: 0.04em;
  padding-left: 10px;
  padding-right: 10px;
}

.spfwc-edit-cardmember-form .woocommerce-NoticeGroup {
  width: 100%;
  margin-bottom: 0;
}

.woocommerce-message,
.woocommerce-error {
  margin-top: 24px;
  margin-bottom: 0 !important;
}

.available-points-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 10px;
  /* margin-left: 16px;
  margin-right: 16px; */
  /* Adjusted for old my-account layout compatibility */
  padding: 24px 32px 24px 32px;
  gap: 24px;
  border-radius: 8px;
  border: 1px solid #B2C2C1
}

@media screen and (max-width: 768px) {
  .available-points-wrapper {
    padding: 24px 16px 24px 16px;
  }
}

.available-points-wrapper>div {
  letter-spacing: 0.0125em;
  line-height: 17px;
}

.available-points-label {
  font-size: 18px;
  font-weight: 700;
  text-align: left;
}

.available-points-value {
  font-family: Roboto;
  font-size: 24px;
  font-weight: 700;
  text-align: right;
  color: var(--color-primary);
}

.point-content-wrapper {
  margin-top: 24px;
}

/* Commented for old my-account layout compatibility */
/* .points-content {
  padding-left: 16px;
  padding-right: 16px;
} */

.points-table th,
.points-table td {
  border: 1px solid #B2C2C1;
  padding: 8px;
}

.points-table-heading {
  font-size: 13px;
  font-weight: 400;
  line-height: 22.75px;
  letter-spacing: 0.04em;
  text-align: center;
  white-space: pre-wrap;
}

@media screen and (min-width: 769px) {
  .points-table-heading.for-pc {
    display: table-cell !important;
  }
}

.points-rewards-event-date-width {
  width: 105px;
}

.points-rewards-event-content-width {
  width: auto;
}

.points-rewards-event-points-width {
  width: 158px;
}


@media screen and (max-width: 768px) {
  .points-rewards-event-points-width {
    width: 87px;
    max-width: 87px;
  }
}

.points-rewards-event-date-data,
.points-rewards-event-points-data {
  text-align: center;
}

@media screen and (min-width: 769px) {
  .points-rewards-event-date-data.for-pc {
    display: table-cell !important;
  }
}

.points-rewards-event-points-data {
  gap: 12px;
}

.points-rewards-event-points-data.possitive {
  color: #ED293E;
}

.points-rewards-event-points-data.negative {
  color: #0066BE;
}

.points-rewards-event-points-data.possitive .point-chip-label {
  border-color: #ED293E;
}

.points-rewards-event-points-data.negative .point-chip-label {
  border-color: #0066BE;
}

.point-will-expired-col {
  text-align: center;
  color: #f56328;
}

.points-data-wrapper {
  display: flex;
  gap: 8px;
  justify-content: center;
  align-items: center;
}

@media screen and (max-width: 768px) {
  .points-data-wrapper {
    flex-direction: column;
  }
}

.point-value {
  font-family: Roboto;
  font-size: 16px;
  font-weight: 700;
  line-height: 28px;
  letter-spacing: 0.04em;
}

@media screen and (max-width: 768px) {
  .point-value {
    line-height: 11px;
  }
}

.point-chip-label {
  display: inline-block;
  padding: 4px;
  font-size: 13px;
  font-weight: 400;
  line-height: 10px;
  letter-spacing: 0.04em;
  border-width: 1px;
  border-style: solid;
}

.event-date-mobile {
  margin: 0;
  font-size: 10px;
  font-weight: 400;
  line-height: 13.5px;
  letter-spacing: 0.04em;
}

.points-rewards-event-content-data-description-content ul {
  list-style-type: disc;
  padding-left: 18px;
  list-style-position: outside;
}

.points-rewards-event-content-data-title {
  margin-bottom: 0;
  font-size: 13px;
  font-weight: 400;
  line-height: 22.75px;
  letter-spacing: 0.04em;
}

.points-rewards-event-content-data-description-title {
  margin-bottom: 0;
  font-size: 11px;
  font-weight: 400;
  line-height: 19.25px;
  letter-spacing: 0.04em;
}

.points-rewards-event-item {
  font-size: 11px;
  font-weight: 400;
  line-height: 15.4px;
  letter-spacing: 0.04em;
  color: #05181780;
}

.points-rewards-event-item span {
  white-space: pre-wrap;
  text-wrap: auto;
  display: -webkit-box !important;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-align: justify;
}

.pagination.point-rewards {
  margin-top: 24px;
  margin-bottom: 24px !important;
  /* Adjusted for old my-account layout compatibility */
}

.pagination.point-rewards>* {
  font-family: Roboto;
  font-size: 14px;
  font-weight: 400;
  line-height: 24.5px;
  letter-spacing: 0.04em;
}

/* Handler error fields */
form .woocommerce-invalid .shu-invalid {
  border: 1px solid #ED293E !important;
}

form .woocommerce-invalid .field-error-list li {
  list-style-type: none;
  color: red;
  text-wrap: auto;
}

form .woocommerce-validated input.input-text,
form .woocommerce-validated textarea {
  border: 1px solid #21D4C8 !important;
  background-color: #E5F5F4 !important;
}

/* Fix padding content for old nav */
.woocommerce-MyAccount-content {
  padding-bottom: 30px;
}